.wpgb-hidden {
    display: none;
}

.wpgb-filters_line_search {
	display: flex;
	align-items: center;
}

.wpgb-filters {
    display: flex;
    flex-direction: column;
    gap: var(--wp--custom--m-spacing);
    background-color: var(--wp--preset--color--white);
    padding: var(--wp--custom--l-spacing);
    margin-bottom: var(--wp--custom--xxl-spacing);
    color: var(--wp--preset--color--blue-2-a);

    .wpgb-facet {
        .wpgb-facet-title {
            margin-bottom: 0px;
            font-family: var(--wp--preset--font-family--system);
            font-weight: 400;
            font-size: var(--wp--preset--font-size--extra-small);
            color: var(--wp--preset--color--blue-2-a);
        }
        > fieldset:last-child {
            margin-bottom: 0px;
        }
        .wpgb-select-facet {
            min-width: 130px;
        }
        .wpgb-select {
            min-height: 36px;
            height: 36px;
            max-width: 100%;
            border-width: 0 0 2px 0;
            border-radius: 0px;
            border-color: var(--wpgb-select-border-color, var(--wp--preset--color--blue-2-a));
        }
        .wpgb-search-facet input[type="search"],
        .wpgb-autocomplete-facet input[type="search"] {
            border: 1px solid var(--wp--preset--color--blue-2-a);
            border-radius: 0px;

        }
        .wpgb-select,
        .wpgb-search-facet input[type="search"],
        .wpgb-autocomplete-facet input[type="search"] {
            color: var(--wp--preset--color--blue-2-a);
            font-size: var(--wp--preset--font-size--extra-small);
            &:focus {
                border-color: var(--wp--preset--color--black);
            }
        }
        ul .wpgb-button {
            flex-direction: row-reverse;
            min-height: 28px;
            border-radius: 0px;
            color: var(--wp--preset--color--blue-1-a);
            border: none;

            &--has-color {
                background-color: var(--wp--preset--color--white);
            }
            &--has-icon {
                padding-left: 0;
            }

            &--resource {
                background-color: var(--wp--preset--color--blue-1-d);
            }
            &--practice {
                background-color: var(--wp--preset--color--green-1-d);
            }

            .wpgb-button-label {
                display: flex;
                align-items: center;
                gap: var(--wp--custom--s-spacing);
                margin-right: var(--wp--custom--s-spacing);
                padding: 0;
            }
            .wpgb-button-control {
                &:before, &:after {
                    top: 2px;
                    height: 11px;
                    width: 1px;
                    background-color:var(--wp--preset--color--blue-1-a);
                }
            }
        }
        .wpgb-select .wpgb-select-controls,
        select.wpgb-select + .wpgb-select-controls {
            svg {
                fill: var(--wp--preset--color--blue-2-a);
            }
            .wpgb-select-separator {
                display: none;
            }
            button {
                margin: var(--wp--custom--xs-spacing) 0;
            }
        }
        .wpgb-button-label {
            padding: var(--wp--custom--xs-spacing) var(--wp--custom--s-spacing) var(--wp--custom--xs-spacing) 0;
            font-size: 12px;
        }
        button.wpgb-apply, button.wpgb-reset {
            margin: 0;
            border-radius: 0px;
            padding: var(--wp--custom--s-spacing) var(--wp--custom--m-spacing);
            font-size: var(--wp--preset--font-size--extra-small);
            font-weight: 400;
        }
        button.wpgb-reset {
            padding: 0;
            background-color: transparent;
            color: var(--wp--preset--color--blue-1-a);
            font-size: 12px;
        }
        button.wpgb-apply {
            background-color: var(--wp--preset--color--white);
            color: var(--wp--preset--color--blue-1-a);
            border: 1px solid var(--wp--preset--color--blue-1-a);
        }

        &-color {
            &--green-1-d {
                --wpgb-select-border-color: var(--wp--preset--color--green-1-d);
            }
            &--blue-1-c {
                --wpgb-select-border-color: var(--wp--preset--color--blue-1-c);
            }
            &--blue-2-d {
                --wpgb-select-border-color: var(--wp--preset--color--blue-2-d);
            }
        }
    }

    &__button-close {
        margin-bottom: var(--wp--custom--xl-spacing);
        padding: 0;
        border: none;
        color: var(--wp--preset--color--blue-2-a);
        font-weight: 700;
        &:hover, &:focus {
            background-color: transparent;
            color: var(--wp--preset--color--blue-2-a);
        }
    }

    &__button-apply {
        width: 100%;
        margin-top: var(--wp--custom--l-spacing);
        text-transform: uppercase;
    }

    &__title {
        margin-bottom: var(--wp--custom--xs-spacing);
        font-family: var(--wp--preset--font-family--system);
        font-size: var(--wp--preset--font-size--medium-large);
        font-weight: 400;
        color: var(--wp--preset--color--blue-2-a);
    }

    &__subtitle {
        margin-bottom: 0px;
        font-family: var(--wp--preset--font-family--system);
        font-size: var(--wp--preset--font-size--extra-small);
        font-weight: 400;
        color: var(--wp--preset--color--blue-2-a);
    }

    &__search {
		width: 88%;

        .wpgb-facet {
            .wpgb-facet-title {
                position: absolute;
                top: calc( var(--wp--custom--s-spacing) * -1 );
                margin-bottom: 0;
                background: var(--wp--preset--color--white);
                z-index: 1;
                font-size: var(--wp--custom--s-spacing);
                left: var(--wp--custom--s-spacing);
                padding: var(--wp--custom--xs-spacing);
                font-weight: 600;
                line-height: 1;
            }
        }
    }

	&__search_btn {
		margin-left: var(--wp--preset--spacing--24);
		.wpgb-facet-title {
			display: none;
		}
	}



    &__selection {
        .wpgb-facet {
            .wpgb-facet-title {
                margin-bottom: var(--wp--custom--s-spacing);
                font-size: var(--wp--preset--font-size--xextra-small);
            }
        }
    }

    &__selects {
        display: flex;
        flex-direction: column;
        gap: var(--wp--custom--m-spacing);

        &.micromodal-slide {
            display: none;
            &.is-open {
                display: block;
            }
            .modal__container {
                width: 100%;
                height: 100vh;
                max-height: 100vh;
                padding: var(--wp--custom--l-spacing);
                flex-direction: column;
                justify-content: flex-start;
                align-items: flex-start;
            }
        }

        .wpgb-facet {
            &-title {
                display: none;
            }

            .wpgb-select-placeholder {
                margin: 2px 4px;
                font-size: var(--wp--preset--font-size--extra-small);
                input[type="text"] {
                    font-size: var(--wp--preset--font-size--extra-small);
                    opacity: 1;
                    color: var(--wp--preset--color--blue-1-a);
                    &::placeholder {
                        color: var(--wp--preset--color--blue-1-a);
                        opacity: 1;
                    }
                    &:-ms-input-placeholder {
                        color: var(--wp--preset--color--blue-1-a);
                    }
                    &::-ms-input-placeholder {
                        color: var(--wp--preset--color--blue-1-a);
                    }
                }
                .wpgb-select-values > div {
                    font-size: var(--wp--preset--font-size--extra-small) !important;
                    + .wpgb-select-search input {
                        width: 100%;
                        position: absolute;
                    }
                }
                .wpgb-select-value {
                    display: none;
                }
                .wpgb-select-value + .wpgb-select-search {
                    label.wpgb-select-sr-only {
                        position: relative !important;
                        overflow: auto !important;
                        height: auto !important;
                        width: auto !important;
                        white-space: normal !important;
                        pointer-events: auto !important;
                    }
                }
            }
        }

        .wpgb-apply {
            width: 100%;
            margin-top: var(--wp--custom--xxl-spacing);
        }
    }

    &__footer {
        display: flex;
        justify-content: space-between;
        font-size: 12px;

        .wpgb-result-count {
            font-weight: 700;
        }

		.all-tools {
			font-weight: 700;
		}
    }

    @include breakpoint(sm, true) {
        &__selects {
            flex-direction: row;
            justify-content: flex-start;
            align-items: center;
            &:not(.micromodal-slide) {
                display: none;
            }
            .wpgb-facet {
                width: 100%;
                &:not(:empty) {
                    margin-bottom: var(--wp--custom--l-spacing);
                }
            }
        }
        .wpgb-filters__button {
            background-color: var(--wp--preset--color--white);
            &--sticky {
                z-index: 2;
                width: calc( 100vw - var(--wp--custom--m-spacing) ) !important;
                left: var(--wp--custom--s-spacing) !important;
            }
        }
    }

    @include breakpoint( sm ) {
        .wpgb-facet {
            .wpgb-select {
                max-width: 130px;
            }
        }
        .wpgb-filters__button {
            display: none;
        }
        &__selects {
            flex-direction: row;
            justify-content: flex-start;
            align-items: center;
            &.micromodal-slide {
                display: none;
            }
        }
    }
}

.wpgb-facet .wpgb-pagination-facet {
    margin-top: calc( var(--wp--custom--xxl-spacing) * 2);
    margin-bottom: calc( var(--wp--custom--xxl-spacing) * 2);
    ul {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        @include breakpoint(sm, true) {
            flex-wrap: wrap;
        }
        li {
            a, a:hover {
                font-size: var(--wp--preset--font-size--extra-small);
            }
            a {
                &:hover, &:focus {
                    font-weight: 600;
                }
                &[aria-current] {
                    font-weight: bold;
                    text-decoration: underline;
                    color: var(--wp--preset--color--black)
                }
            }
            &:first-child, &:last-child {
                margin: 0;
                > a:not([aria-current="true"]) {
                    text-align: left;
                    min-width: 165px;
                    padding: 0;
                    @include breakpoint(sm, true) {
                        font-size: 0px;
                        min-width: 0;
                    }
                    &:before, &:after {
                        font-family: 'osinum-icon';
                        font-size: var(--wp--preset--font-size--large);
                        vertical-align: middle;
                        margin-right: var(--wp--custom--s-spacing);
                        display: inline-block;
                        width: 15px;
                        vertical-align: -4px;
                    }
                }
            }
            &:first-child > a:not([aria-current="true"]) {
                &:before {
                    content: $icon-left-arrow-1;

                }
            }
            &:last-child > a:not([aria-current="true"]) {
                text-align: right;
                &:after {
                    content: $icon-left-arrow-1;
                    transform: rotate(180deg);
                    transform-origin: center right;
                    margin-left: -4px;
                }
            }
        }
    }
}

.wpgb-select-dropdown {
    border-radius: 0px !important;
    border: none !important;
    box-shadow: none !important;
    min-width: 200px;
    ul {
        > li {
            padding: 8px 11px !important;
            font-size: 12px !important;
            color: var(--wp--preset--color--blue-1-a) !important;
            &.wpgb-focused, &[aria-selected="true"] {
                background-color: var(--wp--preset--color--grey-000) !important;
                color: var(--wp--preset--color--blue-1-a) !important;
            }
            &[aria-disabled="true"] {
                padding: 10px 11px !important;
                &:not([aria-selected="false"]) {
                    color: var(--wp--preset--color--grey-400) !important;
                }
            }
        }
    }
}

.wpgb-button-icon {
    width: 28px;
    height: 28px;
    padding: 0;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    > svg.icon {
        margin: 0;
        top: 0;
    }
}

.wpgb-facet {
    .wpgb-buttons-rich-facet {
        .swiper {
            margin-top: 0;
        }
        .swiper-slide {
            height: auto;
        }

        .wpgb-button--rich {
            align-items: flex-start;
            height: 100%;
            border: none;
            padding: 0;
            border-radius: 0;
            background: var(--wp--preset--color--white);
            &[aria-pressed="true"] {
                background: var(--wp--preset--color--grey-000);
            }

            .wpgb-rich-button {
                display: flex;
                flex-direction: column;
                height: 100%;
                color: var(--wp--preset--color--blue-2-a);
                padding: 0;
                border: none;
                &__head {
                    min-height: 90px;
                    text-align: center;
                    .wpgb-button-icon {
                        width: 100%;
                        height: 100%;
                        min-height: 90px;
                        svg {
                            width: 26px;
                            height: 26px;
                        }
                    }
                    img {
                        width: 60px;
                        height: 60px;
                        border-radius: 50%;
                        text-align: center;
                        margin-top: var(--wp--custom--l-spacing);
                    }
                }
                &__body {
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    height: 100%;
                    justify-content: space-between;
                    gap: var(--wp--custom--s-spacing);
                    padding: var(--wp--custom--l-spacing);
                    text-align: center;
                }
                &__label {
                    font-weight: 600;
                    font-size: var(--wp--preset--font-size--small);
                }
                &__sublabel {
                    text-transform: lowercase;
                    font-size: var(--wp--preset--font-size--xextra-small);
                }
            }

            &--default {
                .wpgb-rich-button__body {
                    padding: 0 var(--wp--custom--l-spacing) var(--wp--custom--l-spacing) var(--wp--custom--l-spacing);
                }
            }

            .wpgb-button-label {
                height: 100%;
                padding: 0;
            }
        }
        @include breakpoint( sm, true) {
            overflow: hidden;
        }
    }
}

.wpgb-archive {
    scroll-margin-top: var(--wp--custom--l-spacing);
    margin-bottom: var(--wp--custom--xl-spacing);
}

.archive__intro {
    h2 {
        font-size: var(--wp--preset--font-size--xlarge);
    }
}

.archive__facets {
    h2 {
        font-size: var(--wp--preset--font-size--xlarge);
    }
    .wpgb-facet {
        .wpgb-facet-title {
            font-size: var(--wp--preset--font-size--medium-large);
            font-weight: 400;
            margin-bottom: var(--wp--custom--l-spacing);
        }
        > fieldset:last-child {
            margin-bottom: var(--wp--custom--xl-spacing);
        }
    }
}
#diagnostic-body {
	@include breakpoint(xs, true) {
		.wpgb-filters {
			position: sticky;
			top: -1.5rem;
			z-index: 11;
		}
		.wpgb-filters__footer .wpgb-facet.wpgb-facet-5,
        .wpgb-filters_line_search,
        .wpgb-filters__title {
			display: none;
		}

        .wpgb-filters__footer .wpgb-see-results {
            padding-top: 0;
            line-height: normal;
            color: var(--wp--preset--color--blue-1-a);
        }
	}
}

.wpgb-see-results {
    border: none;
}